/*
  Tutorial 2:  Serial interface between PC and chipKIT 
  Description: chipKIT UNO32 receives commands from a PC through serial port
               and control an external LED connected to pin 2
  Board: chipKIT UNO32
 */

const int LED_PIN = 2;  // LED is connected to digital I/O pin 2
int SERIAL_DATA;        // Variable to store incoming serial byte

void setup() {
 Serial.begin(9600);  // Sets the baud rate for serial transmission 
 pinMode(LED_PIN, OUTPUT);
// Send these messages to PC only once 
 Serial.println("Serial interface between PC and chipKIT");
 Serial.println("1: LED ON, 0: LED OFF");
 digitalWrite(LED_PIN, LOW);       // LED is off initially
}  

void loop() {
  
  if(Serial.available()>0){        // Check if serial data is available.
   SERIAL_DATA = Serial.read();    // If yes, read the incoming byte
   if(SERIAL_DATA == '1') {        // Check if the received byte is '1'  
     digitalWrite(LED_PIN, HIGH);  // If so, turn the LED ON
     Serial.println("LED is ON");  // and acknowledge.
   }
   if(SERIAL_DATA == '0') {        // If the received byte is '0',
     digitalWrite(LED_PIN, LOW);   // turn the LED OFF and
     Serial.println("LED is OFF"); // acknowledge.
   }
 }    
}  
